\documentclass[tikz,border=5]{standalone} 

\usetikzlibrary{shadows.blur}
\usetikzlibrary{shapes.symbols}

\usepackage{graphicx}
\usepackage{xcolor}
\usepackage{libertine}
\colorlet{mygreen}{green!35!black}

\begin{document}
\begin{tikzpicture}

%\node[draw=none,shade,
%      top color=white,
%      bottom color=white,
%      rounded corners=2pt,
%      minimum width=6.2cm,minimum height=6.2cm,
%      inner sep=0,
%      blur shadow={shadow blur steps=3}
%    ] (saito2005) at (7,0){};  

\node[inner sep=0,text width=4cm,align = center] (saito2005) at (-5,-.1)
    {\includegraphics[width=.75\linewidth]{saito2005_diag}\\ \includegraphics[trim = 3cm 1mm 0 0,clip=true,width=\linewidth]{saito2005}  \textcolor{mygreen}{A} };

\node[inner sep=0,text width=5cm,align = center] (b) at (0,1.5)
    {\includegraphics[width=5cm]{Andrienko2004}  \textcolor{mygreen}{B}};
    
\node[inner sep=0,text width=4cm,align = center] (c) at (0,-1.5)
    {\includegraphics[width=4cm]{shanbhag2005}  \textcolor{mygreen}{C}};
 
%\node[inner sep=0] (d) at (-2,-5)
%    {\includegraphics[width=5cm]{bak2009}};
%\node[inner sep=1pt,draw,color=gray,rounded corners=1pt,] (bak2009_det) at (5.5,-2.2)
%    {\includegraphics[width=2.5cm]{bak2009_det}};
\node[inner sep=0,text width=8cm,align = center] (andrienko2011) at (-2.4,-5)
    {\includegraphics[trim = 0 0 0 2.5cm,clip=true,width=\linewidth]{andrienko2011}  \textcolor{mygreen}{D}};

\node[inner sep=0,text width=9cm,align = center] (shrestha2013) at (-2.4,-8)
    {\includegraphics[width=.3\linewidth]{shrestha2013_diag}\quad\includegraphics[width=.65\linewidth]{shrestha2013}\\  \textcolor{mygreen}{E}};

\end{tikzpicture}
\end{document}

